/*----------------------------------------------------------------------------------*/
/*==================================================================================*/
/*==   This software is designed to be compiled by the Hi-Tech PIC C compiler     ==*/
/*==================================================================================*/
/*----------------------------------------------------------------------------------*/
/*  History:                                                                        
    --------  
	2006-08-16	start of code
*/

/*  TO DO:                                                                          
    ------      
	- ...
*/

/*----------------------------------------------------------------------------------*/


/*--------------------------------------------------------*/
/*                        includes                        */
/*--------------------------------------------------------*/
#include <pic18.h>
#include <EEPROM.h>

/*--------------------------------------------------------*/
/*                        constants                       */   
/*--------------------------------------------------------*/
#define			FALSE				0			/*FALSE*/
#define			TRUE				1			/*TRUE*/

/*--------------------------------------------------------*/
/*                         globals                        */
/*--------------------------------------------------------*/
extern unsigned char setting_contrast;
extern unsigned char VIC20_mode;

/*--------------------------------------------------------*/

void GetSettingsFromEEPROM(void)
{
	setting_contrast=EEPROM_READ(0x01);								/*read a byte of data from an address in EEPROM memory, and store it in a variable:*/
	if ((setting_contrast < 0x80) || (setting_contrast == 0xFF))	/*check if variable is valid*/
		setting_contrast = 0xBB;									/*when not valid use the default value stated here*/

	VIC20_mode=EEPROM_READ(0x02);									/*read a byte of data from an address in EEPROM memory, and store it in a variable:*/
	if (VIC20_mode == 0xFF)											/*check if variable is valid*/
		VIC20_mode = FALSE;											/*when not valid use the default value stated here*/
}


void SaveSettingsToEEPROM(void)
{
	EEPROM_WRITE(0x01, setting_contrast);
	EEPROM_WRITE(0x02, VIC20_mode);
}


unsigned char ReadFromEEPROM(unsigned int address)
{
	return(EEPROM_READ(address));
}


void WriteToEEPROM(unsigned int address, unsigned char value)
{
	EEPROM_WRITE(address, value);
}
